<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/nav_bind"
    app:startDestination="@id/resetFragment">

    <fragment
        android:id="@+id/resetFragment"
        android:name="com.rdiot.yx485.ui.bind.ResetFragment"
        android:label="ResetFragment"
        tools:layout="@layout/fra_reset">
        <action
            android:id="@+id/action_resetFragment_to_enterRoomInfoFragment"
            app:destination="@id/enterRoomInfoFragment"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right" />
    </fragment>
    <fragment
        android:id="@+id/enterRoomInfoFragment"
        android:name="com.rdiot.yx485.ui.bind.EnterRoomInfoFragment"
        android:label="EnterRoomInfoFragment"
        tools:layout="@layout/fra_enter_room_info">
        <action
            android:id="@+id/action_enterRoomInfoFragment_to_enterWifiInfoFragment"
            app:destination="@id/enterWifiInfoFragment"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right" />
        <action
            android:id="@+id/action_enterRoomInfoFragment_to_bindFragment"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right"
            app:destination="@id/bindFragment" />
    </fragment>
    <fragment
        android:id="@+id/enterWifiInfoFragment"
        android:name="com.rdiot.yx485.ui.bind.EnterWifiInfoFragment"
        android:label="EnterWifiInfoFragment"
        tools:layout="@layout/fra_enter_wifi_info">
        <action
            android:id="@+id/action_enterWifiInfoFragment_to_bindFragment"
            app:destination="@id/bindFragment"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right" />
    </fragment>
    <fragment
        android:id="@+id/bindFragment"
        android:name="com.rdiot.yx485.ui.bind.BindDeviceFragment"
        android:label="BindFragment"
        tools:layout="@layout/fra_bind_device" />
</navigation>